# Cinder

# cinder::StreamBase Class Reference

`#include <Stream.h>`

Inherited by cinder::IStream`[virtual]`, and cinder::OStream`[virtual]`.

List of all members.

## Public Types
enum | Endianness { STREAM_BIG_ENDIAN, STREAM_LITTLE_ENDIAN }
## Public Member Functions
virtual | ~StreamBase ()
const std::string & | getFileName () const
| Returns the file name of the path from which a Stream originated when relevant. Empty string when undefined.
void | setFileName (const std::string &aFileName)
| Sets the file name of the path from which a Stream originated when relevant. Empty string when undefined.
virtual off_t | tell () const =0
| Returns the current position of the stream measured in bytes **/.
virtual void | seekAbsolute (off_t absoluteOffset)=0
| Sets the current position of the stream to byte absoluteOffset. A negative offset is relative to the end of the file.
virtual void | seekRelative (off_t relativeOffset)=0
| Moves the current position of the stream by relativeOffset bytes.
## Static Public Member Functions
static uint8_t | getNativeEndianness ()
## Public Attributes
return | STREAM_BIG_ENDIAN
## Protected Member Functions
| StreamBase ()
## Protected Attributes
std::string | mFileName

## Member Enumeration Documentation

enum cinder::StreamBase::Endianness

Enumerator:

  STREAM_BIG_ENDIAN |
  STREAM_LITTLE_ENDIAN |

## Constructor & Destructor Documentation

virtual cinder::StreamBase::~StreamBase | ( |  | ) | `[virtual]`

cinder::StreamBase::StreamBase | ( |  | ) | `[protected]`

## Member Function Documentation

static uint8_t cinder::StreamBase::getNativeEndianness | ( |  | ) | `[static]`

Returns the platform's endianness as a StreamBase::Endianness

const std::string& cinder::StreamBase::getFileName | ( |  | ) | const

Returns the file name of the path from which a Stream originated when relevant. Empty string when undefined.

void cinder::StreamBase::setFileName | ( | const std::string & | aFileName | ) |

Sets the file name of the path from which a Stream originated when relevant. Empty string when undefined.

virtual off_t cinder::StreamBase::tell | ( |  | ) | const`[pure virtual]`

Returns the current position of the stream measured in bytes **/.

Implemented in cinder::IStreamFile, cinder::OStreamFile, cinder::IoStreamFile, cinder::IStreamMem, cinder::OStreamMem, and cinder::IStreamUrl.

virtual void cinder::StreamBase::seekAbsolute | ( | off_t | absoluteOffset | ) | `[pure virtual]`

Sets the current position of the stream to byte absoluteOffset. A negative offset is relative to the end of the file.

Implemented in cinder::IStreamFile, cinder::OStreamFile, cinder::IoStreamFile, cinder::IStreamMem, cinder::OStreamMem, and cinder::IStreamUrl.

virtual void cinder::StreamBase::seekRelative | ( | off_t | relativeOffset | ) | `[pure virtual]`

Moves the current position of the stream by relativeOffset bytes.

Implemented in cinder::IStreamFile, cinder::OStreamFile, cinder::IoStreamFile, cinder::IStreamMem, cinder::OStreamMem, and cinder::IStreamUrl.

## Member Data Documentation

return cinder::StreamBase::STREAM_BIG_ENDIAN

std::string cinder::StreamBase::mFileName`[protected]`

The documentation for this class was generated from the following file:

- include/cinder/Stream.h